// Code generated by go-swagger; DO NOT EDIT.

package upload_and_create_records

// This file was generated by the swagger tool.
// Editing this file might prove futile when you re-run the swagger generate command

import (
	"io"
	"mime/multipart"
	"net/http"

	"github.com/go-openapi/errors"
	"github.com/go-openapi/runtime"
	"github.com/go-openapi/runtime/middleware"
	"github.com/go-openapi/strfmt"
)

// PostV1SchemaNameUploadMaxParseMemory sets the maximum size in bytes for
// the multipart form parser for this operation.
//
// The default value is 32 MB.
// The multipart parser stores up to this + 10MB.
var PostV1SchemaNameUploadMaxParseMemory int64 = 32 << 20

// NewPostV1SchemaNameUploadParams creates a new PostV1SchemaNameUploadParams object
//
// There are no default values defined in the spec.
func NewPostV1SchemaNameUploadParams() PostV1SchemaNameUploadParams {

	return PostV1SchemaNameUploadParams{}
}

// PostV1SchemaNameUploadParams contains all the bound params for the post v1 schema name upload operation
// typically these are obtained from a http.Request
//
// swagger:parameters PostV1SchemaNameUpload
type PostV1SchemaNameUploadParams struct {

	// HTTP Request Object
	HTTPRequest *http.Request `json:"-"`

	/*Certification data in the form of csv
	  In: formData
	*/
	File io.ReadCloser
	/*Schema name you're uploading for
	  Required: true
	  In: path
	*/
	SchemaName string
}

// BindRequest both binds and validates a request, it assumes that complex things implement a Validatable(strfmt.Registry) error interface
// for simple values it will use straight method calls.
//
// To ensure default values, the struct must have been initialized with NewPostV1SchemaNameUploadParams() beforehand.
func (o *PostV1SchemaNameUploadParams) BindRequest(r *http.Request, route *middleware.MatchedRoute) error {
	var res []error

	o.HTTPRequest = r

	if err := r.ParseMultipartForm(PostV1SchemaNameUploadMaxParseMemory); err != nil {
		if err != http.ErrNotMultipart {
			return errors.New(400, "%v", err)
		} else if err := r.ParseForm(); err != nil {
			return errors.New(400, "%v", err)
		}
	}

	file, fileHeader, err := r.FormFile("file")
	if err != nil && err != http.ErrMissingFile {
		res = append(res, errors.New(400, "reading file %q failed: %v", "file", err))
	} else if err == http.ErrMissingFile {
		// no-op for missing but optional file parameter
	} else if err := o.bindFile(file, fileHeader); err != nil {
		res = append(res, err)
	} else {
		o.File = &runtime.File{Data: file, Header: fileHeader}
	}

	rSchemaName, rhkSchemaName, _ := route.Params.GetOK("schemaName")
	if err := o.bindSchemaName(rSchemaName, rhkSchemaName, route.Formats); err != nil {
		res = append(res, err)
	}
	if len(res) > 0 {
		return errors.CompositeValidationError(res...)
	}
	return nil
}

// bindFile binds file parameter File.
//
// The only supported validations on files are MinLength and MaxLength
func (o *PostV1SchemaNameUploadParams) bindFile(file multipart.File, header *multipart.FileHeader) error {
	return nil
}

// bindSchemaName binds and validates parameter SchemaName from path.
func (o *PostV1SchemaNameUploadParams) bindSchemaName(rawData []string, hasKey bool, formats strfmt.Registry) error {
	var raw string
	if len(rawData) > 0 {
		raw = rawData[len(rawData)-1]
	}

	// Required: true
	// Parameter is provided by construction from the route
	o.SchemaName = raw

	return nil
}
